import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    id("com.github.johnrengelman.shadow") version Versions.com_github_johnrengelman_shadow_gradle_plugin
    kotlin("jvm") version Versions.org_jetbrains_kotlin_jvm_gradle_plugin
    application
}

group = "com.anthonycicchetti"
version = file("VERSION").readText().trim()

repositories {
    mavenCentral()
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation(Libs.javalin)
    implementation(Libs.javalin_openapi)
    implementation(Libs.slf4j_simple)
    implementation(Libs.jackson_databind)
    implementation(Libs.jackson_module_kotlin)
    implementation(Libs.swagger_core)
    implementation(Libs.swagger_ui)

    testImplementation(Libs.junit_jupiter)
}

application {
    mainClassName = "com.anthonycicchetti.slackbot.MainKt"
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "17"
    }
}

tasks.withType<Test> {
    useJUnitPlatform()
    testLogging {
        events("passed", "skipped", "failed")
    }
}
