import kotlin.String
import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
    const val org_jetbrains_kotlin: String = "_" // available: "_"

    const val io_javalin: String = "_" // available: "_"

    const val com_github_johnrengelman_shadow_gradle_plugin: String = "_"

    const val de_fayard_buildsrcversions_gradle_plugin: String = "_"

    const val org_jetbrains_kotlin_jvm_gradle_plugin: String = "_" // available: "_"

    const val jackson_module_kotlin: String = "_" // available: "_"

    const val kotlin_openapi3_dsl: String = "_"

    const val jackson_databind: String = "_" // available: "_"

    const val junit_jupiter: String = "_"

    const val slf4j_simple: String = "_"

    const val swagger_core: String = "_" // available: "_"

    const val swagger_ui: String = "_" // available: "_"

    /**
     * Current version: "_"
     * See issue 19: How to update Gradle itself?
     * https://github.com/jmfayard/buildSrcVersions/issues/19
     */
    const val gradleLatestVersion: String = "_"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
    inline get() =
            id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
